import request from '@/utils/request'

// 查询考核认证配置列表
export function listConfig(query) {
  return request({
    url: '/model/config/list',
    method: 'get',
    params: query
  })
}

// 查询考核认证配置详细
export function getConfig(id) {
  return request({
    url: '/model/config/' + id,
    method: 'get'
  })
}

// 新增考核认证配置
export function addConfig(data) {
  return request({
    url: '/model/config',
    method: 'post',
    data: data
  })
}

// 修改考核认证配置
export function updateConfig(data) {
  return request({
    url: '/model/config',
    method: 'put',
    data: data
  })
}

// 删除考核认证配置
export function delConfig(id) {
  return request({
    url: '/model/config/' + id,
    method: 'delete'
  })
}
